Ubuntu

[eMachines ER-1401-57] - Fails suspend

Reported by Greg Vallande on 2012-07-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

While testing the 30x suspend cycle test, this system does NOT return from suspend properly.

### logs
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029101/+attachment/3769367/+files/log

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1700 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfbf78000 irq 20'
   Mixer name : 'Nvidia MCP77/78 HDMI'
   Components : 'HDA:10ec0662,10250448,00100101 HDA:10de0002,10de0101,00100000'
   Controls : 21
   Simple ctrls : 9
CurrentDmesg:
 [ 23.609115] ADDRCONF(NETDEV_UP): wlan0: link is not ready
 [ 30.464036] eth0: no IPv6 routers present
 [ 30.755651] CE: hpet increased min_delta_ns to 11520 nsec
 [ 45.041554] audit_printk_skb: 36 callbacks suppressed
 [ 45.041561] type=1400 audit(1343245891.100:24): apparmor="DENIED" operation="open" parent=1 profile="/usr/lib/telepathy/mission-control-5" name="/usr/share/gvfs/remote-volume-monitors/" pid=1857 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
Date: Wed Jul 25 16:05:17 2012
HibernationDevice: RESUME=UUID=28e2ee64-7528-4f25-97fb-4471e9ee86c3
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: eMachines ER1401
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=a2200a4a-170a-4a54-8f2f-e5fb69bf7377 ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/16/2010
dmi.bios.vendor: American Megatrends, Inc.
dmi.bios.version: P01-A0
dmi.board.name: ER1401
dmi.board.vendor: eMachines
dmi.chassis.type: 3
dmi.chassis.vendor: eMachines
dmi.modalias: dmi:bvnAmericanMegatrends,Inc.:bvrP01-A0:bd04/16/2010:svneMachines:pnER1401:pvr:rvneMachines:rnER1401:rvr:cvneMachines:ct3:cvr:
dmi.product.name: ER1401
dmi.sys.vendor: eMachines

Greg Vallande (gvallande) wrote :
Brad Figg (brad-figg) on 2012-07-25
Changed in linux (Ubuntu):
status: New → Confirmed

Greg Vallande, thank you for reporting this and helping make Ubuntu better. Could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelSuspend ? As well, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: needs-upstream-testing resume suspend
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
description: updated
Greg Vallande (gvallande) wrote :
Download full text (31.5 KiB)

I have retested this system and the failure still occurs. Included below is the log of my latest attempt of s3 via fwts with the 3.6 kernel recommended.

00001 fwts Results generated by fwts: Version V0.24.21 (Fri Mar 9 15:10:20 CST 2012).
00002 fwts
00003 fwts Some of this work - Copyright (c) 1999 - 2010, Intel Corp. All rights
00004 fwts reserved.
00005 fwts Some of this work - Copyright (c) 2010 - 2011, Canonical.
00006 fwts
00007 fwts This test run on 26/09/12 at 07:38:00 on host Linux 201006-5930
00008 fwts 3.6.0-030600rc7-generic #201209232235 SMP Mon Sep 24 02:36:02 UTC 2012 x86_64.
00009 fwts
00010 fwts Running tests: s3.

00012 s3 S3 suspend/resume test.
00013 s3 -----------------------------------------------------------------------------
00014 s3 Test 1 of 1: S3 suspend/resume test.
00015 s3 S3 cycle 1 of 30
00016 s3 pm-suspend returned 0 after 13 seconds.
00017 s3 FAILED [MEDIUM] ShortSuspend: Test 1, Unexpected: S3 slept for 13 seconds,
00018 s3 less than the expected 30 seconds.
00019 s3 FAILED [HIGH] KlogFirmwareBug: Test 1, HIGH Kernel message: [ 50.004333]
00020 s3 [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but
00021 s3 the register is already in use for vector 0xf9 on another cpu
00022 s3
00023 s3 ADVICE: The kernel has detected a Firmware bug in the BIOS or ACPI which needs
00024 s3 investigating and fixing.
00025 s3
00026 s3 S3 cycle 2 of 30
00027 s3 pm-suspend returned 0 after 11 seconds.
00028 s3 FAILED [MEDIUM] ShortSuspend: Test 1, Unexpected: S3 slept for 11 seconds,
00029 s3 less than the expected 30 seconds.
00030 s3 FAILED [HIGH] KlogFirmwareBug: Test 1, HIGH Kernel message: [ 59.609786]
00031 s3 [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but
00032 s3 the register is already in use for vector 0xf9 on another cpu
00033 s3
00034 s3 ADVICE: The kernel has detected a Firmware bug in the BIOS or ACPI which needs
00035 s3 investigating and fixing.
00036 s3
00037 s3 S3 cycle 3 of 30
00038 s3 pm-suspend returned 0 after 12 seconds.
00039 s3 FAILED [MEDIUM] ShortSuspend: Test 1, Unexpected: S3 slept for 12 seconds,
00040 s3 less than the expected 30 seconds.
00041 s3 FAILED [HIGH] KlogFirmwareBug: Test 1, HIGH Kernel message: [ 67.631966]
00042 s3 [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but
00043 s3 the register is already in use for vector 0xf9 on another cpu
00044 s3
00045 s3 ADVICE: The kernel has detected a Firmware bug in the BIOS or ACPI which needs
00046 s3 investigating and fixing.
00047 s3
00048 s3 S3 cycle 4 of 30
00049 s...

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-09-27
Changed in linux (Ubuntu):
status: New → Confirmed

Cut from Bug Description.

description: updated
tags: added: latest-bios-p01-a0 regression-potential

Greg Vallande, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers